mui.init({
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			contentover: "释放立即刷新", //可选，在释放可刷新状态时，下拉刷新控件上显示的标题内容
			callback: pulldown_refresh
		},
		up: {
			contentrefresh: '正在加载...',
			callback: pullup_refresh
		}
	}
});

var eventList = document.getElementById('event_list');
var nullList = document.getElementById('null_list');
var loadPages = document.getElementById('loading_page');
var lists = document.getElementById('pullrefresh');
var myEventInfo = {
	page: 1,
	lora: 'a'
};

var loadPage = function(flag) {
	if (flag) {
		lists.style.display = 'block';
		loadPages.style.display = 'none';
	} else {
		lists.style.display = 'none';
		loadPages.style.display = 'block';
	}
}

var getList = function(infos) {
	events.myEvent(infos, function(res) {
		if (res.code == 200 && res.data != null) {
			loadPage(true);
			for (var index in res.data) {
				var li = get_event_li(res.data[index]);
				eventList.appendChild(li);
			}
		}else{
			loadPage(true);
			toast.info('当前暂无活动');
			eventList.innerHTML = '';
		}
	})
}

//阻尼系数
var deceleration = mui.os.ios ? 0.003 : 0.0009;
mui('#scroll_wrapper').scroll({
	bounce: true,
	indicators: true, //是否显示滚动条
	deceleration: deceleration
});

mui.plusReady(function() {
	myEventInfo.page = 1;
	getList(myEventInfo);
});

window.addEventListener('myEvent', function(event) {
	loadPage(false);
	//获得事件参数
	eventList.innerHTML = '';
	var myId = event.detail.event_id;
	myEventInfo.page = 1;
	myEventInfo.lora = myId;
	getList(myEventInfo);
})

/*获取单个item LI*/
var get_event_li = function(eventMsg) {
	var li = document.createElement('li');
	li.className = 'mui-table-view-cell event-item mui-clearfix';
	li.event_info = eventMsg;
	if (myEventInfo.lora == 'attend') {
		var html = parse_event_html(render, eventMsg);
	} else {
		var html = parse_event_html(render_my, eventMsg);
	}
	li.innerHTML = html;
	return li;
};
/**
 * 上拉加载更多
 */
function pullup_refresh() {
	myEventInfo.page++;

	setTimeout(function() {
		events.myEvent(myEventInfo, function(res) {
			var length = typeof(res.data) == 'undefined' ? 0 : res.data.length;
			mui('#pullrefresh').pullRefresh().endPullupToRefresh(length == 10 ? false : true);
			if (res.code == 200) {
				for (var index in res.data) {
					var li = get_event_li(res.data[index]);
					eventList.appendChild(li);
				}
			} else {
				toast.info('没有更多了');
			}
		})
	}, 500);
}

/**
 * 下拉刷新
 */
function pulldown_refresh() {
	setTimeout(function() {
		myEventInfo.page = 1;
		events.myEvent(myEventInfo, function(res) {
			if (res.code == 200 && res.data != null) {
				eventList.innerHTML = '';
				for (var index in res.data) {
					var li = get_event_li(res.data[index]);
					eventList.appendChild(li);
				}
			}
			mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
			//重置底部加载状态
			mui('#pullrefresh').pullRefresh().refresh(true);
		})
	}, 500);
}

/**
 * 列表项目点击事件
 */
mui('#pullrefresh').on('tap', '.mui-table-view-cell', function(e) {
	//			console.log('点击了li');
	console.log(JSON.stringify(this.event_info));
	mui.openWindow({
		url: 'event-detail.html',
		id: 'event-detail',
		extras: {
			detailInfo: this.event_info
		},waiting:{
    		autoShow:false
		},show:{
			aniShow: 'pop-in'
		}
	})
});

mui('#pullrefresh').on('tap', '.unjoin', function(e) {
	var $this = this;
	var event_id = $this.getAttribute('event_id');
	console.log('取消报名');
	var btnArray = ['退出', '不要'];
	mui.confirm('您正在退出活动，确认？', '退出', btnArray, function(e) {
		if (e.index == 0) {
			events.quitEvent(event_id, function(res) {
				if (res.code == 200) {
					$this.parentNode.parentNode.remove();
					toast.info('已退出活动');
				} else {
					console.log(JSON.stringify(res));
					toast.info(res.info);
				}
			});

		} else {
			console.log('没有');
		}
	})
	return false;
});

/**
 * 删除活动
 */
mui('#pullrefresh').on('tap', '.delete', function(e) {
	var $this = this;
	var event_id = $this.getAttribute('event_id');
	var btnArray = ['删除', '不要'];
	mui.confirm('您正在删除活动，确认？', '删除', btnArray, function(e) {
		if (e.index == 0) {
			events.deleteEvent(event_id, function(res) {
				if (res.code == 200) {
					toast.info('删除成功');
					$this.parentNode.parentNode.remove();
				} else {
					console.log(JSON.stringify(res));
				}
			})
		} else {
			console.log('没有');
		}
	})
	return false;
});

/**
 * 提前结束活动
 */
mui('#pullrefresh').on('tap', '.close', function(e) {
	var $this = this;
	var event_id = $this.getAttribute('event_id');
	var btnArray = ['提前结束', '不要'];
	mui.confirm('您正在关闭活动，确认？', '关闭', btnArray, function(e) {
		if (e.index == 0) {
			events.closeEvent(event_id, function(res) {
				if (res.code == 200) {
					toast.info('关闭成功');
					$this.style.display = 'none';
				} else {
					console.log(JSON.stringify(res));
				}
			})
		} else {
			console.log('没有');
		}
	})
	return false;
});