/**
 * 分享
 * 必须在plusReady中调用
 */
var share = function() {
	document.getElementById('shares').addEventListener('tap', function() {
		$this.shareHref();
//		console.log(JSON.stringify($this));
		var info = {
			id:$this.id,
			type:$this.type
		}
		app.postshare(info);
	},false);
	var $this = this;
	
	$this.sharehref = '';
	$this.sharehrefTitle = '';
	$this.sharehrefDes = '';
	$this.id = '';
	$this.type = '';
	/**
	 * 设置分享内容并执行分享操作
	 * @param {String} sharehref         文章链接
	 * @param {String} sharehrefTitle    文章标题
	 * @param {String} sharehrefDes		   文章详情
	 */
	$this.setContent = function(sharehref, sharehrefTitle, sharehrefDes,id,type) {
			$this.sharehref = sharehref;
			$this.sharehrefTitle = sharehrefTitle;
			$this.sharehrefDes = sharehrefDes;
			$this.id = id;
			$this.type = type;
		}
	/**
	 * 打开分享
	 */
	$this.shareShow = function() {
		bhref = false;
		var ids = [{
				id: "weixin",
				ex: "WXSceneSession"
			}, {
				id: "weixin",
				ex: "WXSceneTimeline"
			}, {
				id: "sinaweibo"
			}, {
				id: "tencentweibo"
			}],
			bts = [{
				title: "发送给微信好友"
			}, {
				title: "分享到微信朋友圈"
			}, {
				title: "分享到新浪微博"
			}, {
				title: "分享到腾讯微博"
			}];
		if (plus.os.name == "iOS") {
			ids.push({
				id: "qq"
			});
			bts.push({
				title: "分享到QQ"
			});
		}
		plus.nativeUI.actionSheet({
				cancel: "取消",
				buttons: bts
			},
			function(e) {
				var i = e.index;
				if (i > 0) {
					$this.shareAction(ids[i - 1].id, ids[i - 1].ex);
				}
			}
		);
	}


	/**
	 * 分享操作
	 * @param {String} id
	 */
	$this.shareAction = function(id, ex) {
		var s = null;
		console.log("分享操作：");
		if (!id || !(s = shares[id])) {
			console.log("无效的分享服务！");
			return;
		}
		if (s.authenticated) {
			console.log("---已授权---");
			$this.shareMessage(s, ex);
		} else {
			console.log("---未授权---");
			s.authorize(function() {
				$this.shareMessage(s, ex);
			}, function(e) {
//				console.log("认证授权失败：" + e.code + " - " + e.message);
				toast.info("认证授权失败");
			});
		}
	}

	/**
	 * 发送分享消息
	 * @param {plus.share.ShareService} s
	 */
	$this.shareMessage = function(s, ex) {
			var msg = {
				content: $this.sharecontent,
				extra: {
					scene: ex
				}
			};
			if (bhref) {
				msg.href = $this.sharehref;
				msg.title = $this.sharehrefTitle || '';
				msg.content = $this.sharehrefDes || '';
				msg.thumbs=["_www/images/app-logo.png"];;
			} else {

			}
//			console.log("分享：》》》》"+"   链接："+$this.sharehref+"    标题："+$this.sharehrefTitle+"   详情："+$this.sharehrefDes);
			console.log(JSON.stringify(msg));
			s.send(msg, function() {
				toast.info("分享到\"" + s.description + "\"成功 ");
			}, function(e) {
				console.log(JSON.stringify(e));
				toast.info("分享到\"" + s.description + "\"失败");
			});
		}
	
	/**
 * 解除所有分享服务的授权
 */
	$this.cancelAuth = function() {
		try {
			console.log("解除授权：");
			for (var i in shares) {
				var s = shares[i];
				if (s.authenticated) {
					console.log("取消\"" + s.description + "\"");
				}
				s.forbid();
			}
			// 取消授权后需要更新服务列表
			$this.updateSerivces();
			console.log("操作成功！");
		} catch (e) {
			alert(e);
		}
	}

	/**
	 * 分享链接
	 */
	$this.shareHref = function() {
		bhref = true;
		var ids = [{
				id: "weixin",
				ex: "WXSceneSession"
			}, {
				id: "weixin",
				ex: "WXSceneTimeline"
			}, {
				id: "qq"
			},
			{
				id: "sinaweibo"
			}
			],
			bts = [{
				title: "发送给微信好友"
			}, {
				title: "分享到微信朋友圈"
			}, {
				title: "分享到QQ"
			}, 
			{
				title: "分享到新浪微博"
			}
			];
		plus.nativeUI.actionSheet({
				cancel: "取消",
				buttons: bts
			},
			function(e) {
				var i = e.index;
				if (i > 0) {
					$this.shareAction(ids[i - 1].id, ids[i - 1].ex);
				}
			}
		);
	}

	/**
	 * 更新分享服务
	 */
	$this.updateSerivces = function() {
		plus.share.getServices(function(s) {
			shares = {};
			for (var i in s) {
				var t = s[i];
				shares[t.id] = t;
			}
		}, function(e) {
			outSet("获取分享服务列表失败：" + e.message);
		});
	}

	$this.updateSerivces();
}