var ucenter = {
	
	/**
	 * 获取用户列表
	 * @param {Object} restInfo		请求参数
	 * @param {Function} callback	返回回调函数
	 */
	getUserList:function(restInfo,callback){
		callback = callback || mui.noop;
		restInfo.uid = restInfo.uid || "";
		restInfo.type = restInfo.type || "";
		restInfo.page = restInfo.page || "";
		var request = new httpRequest();
		request.addData('type', restInfo.type);
		request.addData('page', restInfo.page);
		request.get('friends/' + restInfo.uid, function(res) {
			callback(res);
		});
	},
	
	
	/**
	 * 加关注操作
	 */
	following:function(userId,callback){
		var open_id = app.getState().open_id || "";
//		console.log(open_id);
		callback = callback || mui.noop;
		userId = userId || "";
		var request = new httpRequest();
		request.addData('follow_who', userId);
		request.addData('open_id', open_id);
		request.post('follow', function(res) {
			callback(res);
		});
	},
	
	/**
	 * 取消关注操作
	 */
	unFollowing:function(userId,callback){
		var open_id = app.getState().open_id || "";
		callback = callback || mui.noop;
		userId = userId || "";
		var request = new httpRequest();
		request.addData('follow_who', userId);
		request.addData('open_id', open_id);
		request.delete('follow', function(res) {
			callback(res);
		});
	},
	
	/**
	 * 上传头像
	 */
	setAvatar:function(avatarInfo,callback){
		var open_id = app.getState().open_id || "";
		callback = callback || mui.noop;
        avatarInfo = avatarInfo || '';
		var request = new httpRequest();
		request.addData('open_id', open_id);
		request.addData('data', avatarInfo);
//		console.log(avatarInfo);
		request.post('avatar', function(res) {
			callback(res);
		});
	},
	
	/**
	 * 个人基本资料的修改
	 */
	setUserInfo:function(settingInfo,callback){
//		console.log(JSON.stringify(settingInfo));
		var open_id = app.getState().open_id || "";
		callback = callback || mui.noop;
        settingInfo = settingInfo || '';
        settingInfo.sex = settingInfo.sex || '';
        settingInfo.signature = settingInfo.signature || '';
        settingInfo.nickname = settingInfo.nickname || '';
        settingInfo.province = settingInfo.province || '';
        settingInfo.city = settingInfo.city || '';
        settingInfo.district = settingInfo.district || '';
		var request = new httpRequest();
		request.addData('open_id', open_id);
		request.addData('sex', settingInfo.sex);
		request.addData('signature', settingInfo.signature);
		request.addData('nickname', settingInfo.nickname);
		request.addData('province', settingInfo.province);
		request.addData('city', settingInfo.city);
		request.addData('district', settingInfo.district);
		request.put('user', function(res) {
			callback(res);
		});
	},
	
	/**
	 * 修改个人资料QQ
	 */
	setInfoqq:function(setInfoqq,callback){
		
		var open_id = app.getState().open_id || "";
		callback = callback || mui.noop;
        setInfoqq = setInfoqq || '';
		var request = new httpRequest();
		request.addData('open_id', open_id);
		request.addData('name', 'qq');
		request.addData('data', setInfoqq);
		request.put('field', function(res) {
			callback(res);
		});
	},
	
		/**
	 * 修改组织地址
	 */
	setInfodizhi:function(setInfodizhi,callback){
		
		var open_id = app.getState().open_id || "";
		callback = callback || mui.noop;
        setInfodizhi = setInfodizhi || '';
		var request = new httpRequest();
		request.addData('open_id', open_id);
		request.addData('name', '组织地址');
		request.addData('data', setInfodizhi);
		request.put('field', function(res) {
			callback(res);
		});
	},
	
		/**
	 * 修改联系电话
	 */
	setInfotel:function(setInfotel,callback){
		
		var open_id = app.getState().open_id || "";
		callback = callback || mui.noop;
        setInfotel = setInfotel || '';
		var request = new httpRequest();
		request.addData('open_id', open_id);
		request.addData('name', '联系电话');
		request.addData('data', setInfotel);
		request.put('field', function(res) {
			callback(res);
		});
	},	

	
		/**
	 * 修改组织简介
	 */
	setInfozzjj:function(setInfozzjj,callback){
		
		var open_id = app.getState().open_id || "";
		callback = callback || mui.noop;
        setInfozzjj = setInfozzjj || '';
		var request = new httpRequest();
		request.addData('open_id', open_id);
		request.addData('name', '组织简介');
		request.addData('data', setInfozzjj);
		request.put('field', function(res) {
			callback(res);
		});
	},	

		/**
	 * 修改课程表
	 */
	setInfokcb:function(setInfokcb,callback){
		
		var open_id = app.getState().open_id || "";
		callback = callback || mui.noop;
        setInfokcb = setInfokcb || '';
		var request = new httpRequest();
		request.addData('open_id', open_id);
		request.addData('name', '课程表');
		request.addData('data', setInfokcb);
		request.put('field', function(res) {
			callback(res);
		});
	},	
	
		setInfojgt:function(setInfojgt,callback){
		
		var open_id = app.getState().open_id || "";
		callback = callback || mui.noop;
        setInfojgt = setInfojgt || '';
		var request = new httpRequest();
		request.addData('open_id', open_id);
		request.addData('name', '九宫图');
		request.addData('data', setInfojgt);
		request.put('field', function(res) {
			callback(res);
		});
	},
	
	
	getjgt:function(getjgt,callback){
		
		var open_id = app.getState().open_id || "";
		callback = callback || mui.noop;
        getjgt = getjgt || '';
		var request = new httpRequest();
		request.addData('open_id', open_id);
		request.addData('text', getjgt);
		request.post('getjgt', function(res) {
			callback(res);
		});
	},
	
	
	
	
	/**
	 * 修改账号
	 */
	changeAccount:function(rqstInfo,callback){
		var open_id = app.getState().open_id || "";
        rqstInfo = rqstInfo || '';
        rqstInfo.mobile = rqstInfo.mobile || '';
        rqstInfo.verify = rqstInfo.verify || '';
//      alert( rqstInfo.action);
		var request = new httpRequest();
		request.addData('account', rqstInfo.account);
		request.addData('verify', rqstInfo.verify);
		request.addData('action', rqstInfo.action);
		request.addData('open_id', open_id);
		request.put('account', function(res) {
			callback(res);
		});
	},
	
	/**
	 * 获取消息
	 */
	getMessage:function(messageInfo,callback){
		var open_id = app.getState().open_id || '';
		callback = callback || mui.noop;
		messageInfo = messageInfo || '';
		messageInfo.tab = messageInfo.tab || '';
		messageInfo.page = messageInfo.page || '';
		var request = new httpRequest();
		request.addData('open_id',open_id);
		request.addData('page',messageInfo.page);
		request.addData('tab',messageInfo.tab);
		request.get('message',function(res){
			callback(res);
		});
	},
	
	/**
	 * 签到
	 */
	signIn:function(callback){
		var open_id = app.getState().open_id || '';
		var request = new httpRequest();
		request.addData('open_id',open_id);
		request.post('check',function(res){
			callback(res);
		});
	},
	
	/**
	 * 获取签到信息
	 */
	getSignInfo:function(callback){
		var open_id = app.getState().open_id || '';
		callback = callback || mui.noop;
		var request = new httpRequest();
		request.addData('open_id',open_id);
		request.get('check',function(res){
			callback(res);
		});
	},
	
	/**
	 * 获取签到排行榜
	 */
	getSignTop:function(type,callback){
		callback = callback || mui.noop;
		var data = type || ''; 
		var request = new httpRequest();
		request.addData('type',data.type);
		request.addData('page',data.page);
		request.get('check_rank',function(res){
			callback(res);
		});
	},
	
	/**
	 * 
	 */
	readedMsg:function(id,callback){
		var open_id = app.getState().open_id || '';
		callback = callback || mui.noop;
		var request = new httpRequest();
		request.addData('open_id',open_id);
		request.addData('id',id);
		request.put('message',function(res){
			callback(res);
		});
	},
	
	
	/**
	 * 获取积分类型
	 */
	getScoreType:function(callback){
		var request = new httpRequest();
		request.get('score_type',function(res){
			callback(res);
		});
	},
	
	
	/**
	 * 获取充值配置参数
	 */
	checkRecharge:function(callback){
		callback = callback || mui.noop;
		var request = new httpRequest();
		request.get('pingxx_check_recharge',function(res){
			callback(res);
		});
	},
	
	
	/**
	 * 提交充值订单
	 */
	crtReOrder:function(restInfo,callback){
		var open_id = app.getState().open_id || '';
		var request = new httpRequest();
		request.addData('open_id',open_id);	
		request.addData('recharge_type',restInfo.type_id);
		request.addData('amount',restInfo.amount);
		request.addData('channel','alipay_pc_direct');
		request.post('pingxx_ctre_order',function(res){
			callback(res);
		});
	},
	
	
	/**
	 * 获取用户账号绑定信息
	 */
	getBindInfo:function(callback){
		var open_id = app.getState().open_id || '';
		var request = new httpRequest();
		request.addData('open_id',open_id);	
		request.get('sync',function(res){
			callback(res);
		});
	},


	
	/**
	 * 获取用户账号绑定信息
	 */
	setBindInfo:function(requstInfo,callback){
		var open_id = app.getState().open_id || '';
		requstInfo = requstInfo || {};
		requstInfo.type = requstInfo.type || '';
		requstInfo.bind = requstInfo.bind || '';
		requstInfo.auth_result = requstInfo.auth_result || '';
		var request = new httpRequest();
		request.addData('open_id',open_id);
		request.addData('type',requstInfo.type);
		request.addData('bind',requstInfo.bind);
		request.addData('auth_result',requstInfo.auth_result);
		request.put('sync',function(res){
			callback(res);
		});
	},
}